Get

  • GET
  • /user

Returns the details of the authorized user

Request

REQUIRED SCOPES
USER_INFO

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the user
namestring
The name of the user
avatar_urlstring
The avatar URL of the user
emailstring
The email address of the user
workspaces_urlstring
The workspaces URL of the user

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/user" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/user", "html_url": "https://app.buddy.works/my-id", "id": 123, "name": "john.doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/123/a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6/w/32/32/AVATAR.png?ts=1724320218123", "workspaces_url": "https://api.buddy.works/workspaces", "email": "john.doe@company.com" }
STATUS
200 OK